// (C)2007 Attila Kovacs <attila@submm.caltech.edu>


import java.util.*;

public class CoordinateSystem extends Vector<CoordinateAxis> {
	/**
	 * 
	 */
	private static final long serialVersionUID = 7965280172336615563L;
	public String name = "Default Coordinate System";

	public CoordinateSystem() {}
	
	public CoordinateSystem(String text) { name = text; }
	
	public CoordinateSystem(int dimension) {
		for(int i=0; i<dimension; i++)
			add(new CoordinateAxis(defaultLabel[i%defaultLabel.length] 
			        + (dimension > defaultLabel.length ? i/defaultLabel.length + "" : "")));
	}

	public CoordinateSystem(String text, int dimension) {
		this(dimension);
		name = text;
	}
	
	public CoordinateSystem(CoordinateSystem template) {
		copy(template);
	}
	
	public void copy(CoordinateSystem template) {
		name = template.name;
		for(CoordinateAxis axis : template) add((CoordinateAxis) axis.clone());
	}
	
	public void setName(String text) { name = text; }

	public String getName() { return name; }

	protected static String[] defaultLabel = { "x", "y", "z", "u", "v", "w" };


}

